Skip to content
dartpilot
Esc
↑↓navigate↵open⌘Jpreview

List tournaments

Lists tournaments the API key owner hosts, was entered into, watches, or that a friend hosts, newest first. Use visibility=public to list public tournaments.

GET/tournaments
Authorization
x-api-keyAPI key · headerrequired

A user (dp_) or organization (dp_org_) API key with read scopes.

Query parameters
afterstring

Opaque cursor from the previous page's paging.nextCursor.

limitinteger

Number of items to return per page.

min 1 · max 50 · default: 20
visibilitystring

Filter to public or private tournaments. Omit to return the tournaments the key owner may view.

Allowed:publicprivate
Responses
200

A page of tournaments.

itemsTournament[]required
Show properties
Array of Tournament
idstringrequired
namestringrequired
gameTypestringrequired
formatstringrequired
statusstringrequired
visibilitystringrequired
modestringrequired
startsAtstring | nullrequired
startedAtstring | nullrequired
maxPlayersintegerrequired
min -9007199254740991 · max 9007199254740991
createdByTournamentCreatorrequired
Show properties
userIdstringrequired
displayNamestringrequired
imagestring | nullrequired
createdAtstringrequired
pagingPagingrequired
Show properties
nextCursorstring | nullrequired
400

Invalid request.

messagestringrequired
401

Missing or invalid API key.

messagestringrequired
403

The API key is missing a required scope or is the wrong type for this endpoint.

messagestringrequired
404

Entity not found.

messagestringrequired
429

Rate limit exceeded. See the Retry-After header.

messagestringrequired
500

Internal server error.

messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.dartpilot.app/v1/tournaments' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "items": [
    {
      "id": "string",
      "name": "string",
      "gameType": "string",
      "format": "string",
      "status": "string",
      "visibility": "string",
      "mode": "string",
      "startsAt": "string",
      "startedAt": "string",
      "maxPlayers": -9007199254740991,
      "createdBy": {
        "userId": "string",
        "displayName": "string",
        "image": "string"
      },
      "createdAt": "string"
    }
  ],
  "paging": {
    "nextCursor": "string"
  }
}

Was this page helpful?